Subject: Re: Suiqd as service [was: Re: New on sources: cygrunsrv-0.92]
From: "Gerrit P. Haase" <[email-masked]>
To: <[email-masked]>
Date: Thu, 17 May 2001 14:28:39 +0200

Robert Collins schrieb am 2001-05-17, 21:23:

> Gerrit,
>     Please keep this on-list.

Sorry.
 
[...]
> > You run squid as a service WITH cygrunsrv?
> 
> Not with cygrunsrv, but with the ms one, and with a different wrapper
> script. Neither worked terribly well as you'd expect. cygrunsrv should
> be a lot better.
[...]
> > > Is there anything in the event log? (squid logs to syslog, which on
> > > cygwin with NT goes to the event log).
> >
> > Hmm, yes, it is:
> >
> >  Win32 Process Id = 0x220 : Cygwin Process Id = 0x220 :
> >  starting service `Cygwin squid' failed: execv: 1, Not owner.
> >
> >  Win32 Process Id = 0x220 : Cygwin Process Id = 0x220 :
> >  `Cygwin squid' service stopped.
> 
> these messages are cygrun messages. AFAICT Squid was never started.

Yes, there are only these two messages. 

> > Ooops, s.th. with permissions...
> >
> > I don't understand this.
> >
> > Why am I 'not owner', cron, inetd, cygipc, all are running as
> services,
> > no problems at all.
> > What am i not owner of?
> 
> I'd check the owner and mode of squid.exe.

Now i changed all squid files (including cache-dir, conf-files)
to be owned be user 'system' and group 'SYSTEM', 
i got another message:-)

1. Win32 Process Id = 0x127 : Cygwin Process Id = 0x127 :
   `Cygwin squid' service started.

gph

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple